Announcement

Collapse
No announcement yet.

Manual Security Patch Instructions for VB 4.x.x

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • PartiBoi
    replied
    Ok so Installed this lastnight and it messed up my forum.

    see the picture my online list is jumbled up. please let me know what I can do to fix it.

    Leave a comment:


  • voclain
    replied
    Originally posted by Mark.B View Post
    If you are already running 4.2.2 then yes, that is all you need to do.
    Thank you for making this so easy for us to do!!!

    Kirk

    Leave a comment:


  • Mark.B
    replied
    Originally posted by voclain View Post
    I did several searches....and I have not found an answer.

    My site is currently running 4.2.2 and has been successfully since 1 day after 4.2.2 came out.

    I have been very busy and have not had the time to apply the 4.2.2 PL1 Patch. I just downloaded it...and I would like to confirm that all I have to do is UPLOAD the files that are inside of what I downloaded and that will be that.....the PATCH will be applied?????

    I have to following files inside of this download:

    forumdisplay.php
    login.php

    Then I have a folder named: includes INSIDE of that folder I have the following:

    functions_login.php
    finctions_misc.php
    functions.php
    version_vbulletin.php




    Just upload those files and over write the existing files and I am done?????

    Let me know...

    And thank you so much for your support and for watching out for all of us....I am NEVER angry when you come out with something like this...I just truly appreciate it and highly respect all that you do!!!

    Yours,

    Kirk
    If you are already running 4.2.2 then yes, that is all you need to do.

    Leave a comment:


  • voclain
    replied
    I did several searches....and I have not found an answer.

    My site is currently running 4.2.2 and has been successfully since 1 day after 4.2.2 came out.

    I have been very busy and have not had the time to apply the 4.2.2 PL1 Patch. I just downloaded it...and I would like to confirm that all I have to do is UPLOAD the files that are inside of what I downloaded and that will be that.....the PATCH will be applied?????

    I have to following files inside of this download:

    forumdisplay.php
    login.php

    Then I have a folder named: includes INSIDE of that folder I have the following:

    functions_login.php
    finctions_misc.php
    functions.php
    version_vbulletin.php




    Just upload those files and over write the existing files and I am done?????

    Let me know...

    And thank you so much for your support and for watching out for all of us....I am NEVER angry when you come out with something like this...I just truly appreciate it and highly respect all that you do!!!

    Yours,

    Kirk

    Leave a comment:


  • BirdOPrey5
    replied
    If this question is not about the manual instructions then please open a separate thread. This topic is ONLY for support of the manual instructions. Thank You.

    Leave a comment:


  • stuarttunstall
    replied
    Originally posted by Mark.B View Post
    Looks as though you made a mistake in the manual instructions. I would restore the original files and try again.
    Either that or you have an add on that is conflicting.
    I have not done a manual update... My test site runs 4.2.2 so I just used the patch

    Leave a comment:


  • Mark.B
    replied
    Looks as though you made a mistake in the manual instructions. I would restore the original files and try again.
    Either that or you have an add on that is conflicting.

    Leave a comment:


  • stuarttunstall
    replied
    I have just updated my test site which was on vB 4.2.2 using the patch... I did this just to make sure that when I manually update my live site which for many reasons is still currently using 4.2.0 was running the correct software versions and would still work OK...

    After I did the patch on my test site, I now see the following errors,

    when I went into admincp I got this error Fatal error: Cannot redeclare fetch_version_array() in /home/vwaf/public_html/testvb/forum/includes/adminfunctions_template.php

    I had to re-upload the adminfunctions_template file to get the admincp to work again... It was OK before the patch

    When I select a catagory in the forum home page I get this

    Fatal error: Call to undefined method vB_Input_Cleaner:arse_url() in /home/vwaf/public_html/testvb/forum/includes/functions.php on line 2998


    Any idea what caused this?

    Stuart

    Leave a comment:


  • BirdOPrey5
    replied
    Originally posted by malmazan View Post

    I guess I just need to know the folder to place it in and one command line. Since you are offering the way to manually do it, you could just offer that info as well. I am not sure I see the problem with that.
    I'd help you if I could but I've never applied diff files myself and could offer no insight beyond what a simple Google search would find. I would suggest you start a topic dedicated to diff questions so someone with diff experience may see it and weigh in, likely they won't be looking in this topic.

    Leave a comment:


  • malmazan
    replied
    Originally posted by Joe D. View Post
    You need to learn how to apply Diff files. This is not the support thread for that, in the announcement I know Wayne linked to an old thread where someone explained how to use a .diff files. It is a good thing to learn if you're not going to upgrade to latest versions. Had the instructions been much more complicated than this there wouldn't have been manual instructions.
    I guess I just need to know the folder to place it in and one command line. Since you are offering the way to manually do it, you could just offer that info as well. I am not sure I see the problem with that.


    Originally posted by Mark.B View Post
    What version are you running?
    4.2.2 Patch Level 1
    Some php files are edited to overcome vB4's shortcomings.

    Leave a comment:


  • BirdOPrey5
    replied
    Originally posted by Pocket Aces View Post
    We're using vb4.2.2 and we've applied the patch manually. We do not prefer overwriting the files since we might have previous edits done in our files.
    Our vb version in ACP still display as vb4.2.2. How do we make it show as vb4.2.2 Patch Level 1 and get rid of the newer version to download notice?
    In your /includes/ directory create (or edit if it exists) a file called version_vbulletin.php with the following text:

    PHP Code:
    <?php

    define
    ('FILE_VERSION_VBULLETIN''4.2.2 Patch Level 1');

    ?>

    Leave a comment:


  • Pocket Aces
    replied
    We're using vb4.2.2 and we've applied the patch manually. We do not prefer overwriting the files since we might have previous edits done in our files.
    Our vb version in ACP still display as vb4.2.2. How do we make it show as vb4.2.2 Patch Level 1 and get rid of the newer version to download notice?

    Leave a comment:


  • Mark.B
    replied
    Originally posted by malmazan View Post
    Exactly how do I apply VBIV-15935.patch?

    Seems a safer way of doing it than this.
    What version are you running?

    Leave a comment:


  • BirdOPrey5
    replied
    You need to learn how to apply Diff files. This is not the support thread for that, in the announcement I know Wayne linked to an old thread where someone explained how to use a .diff files. It is a good thing to learn if you're not going to upgrade to latest versions. Had the instructions been much more complicated than this there wouldn't have been manual instructions.

    Leave a comment:


  • malmazan
    replied
    Exactly how do I apply VBIV-15935.patch?

    Seems a safer way of doing it than this.

    Leave a comment:

widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X